org.eclipse.rdf4j.rio

## Enum RDFParser.DatatypeHandling

- java.lang.Object
- - java.lang.Enum<RDFParser.DatatypeHandling>
  - - org.eclipse.rdf4j.rio.RDFParser.DatatypeHandling

- All Implemented Interfaces:
    Serializable, Comparable<RDFParser.DatatypeHandling>
  Enclosing interface:
    RDFParser

  Deprecated.
  These settings are not recognised and will be removed in a future version. Use `BasicParserSettings.FAIL_ON_UNKNOWN_DATATYPES` `BasicParserSettings.NORMALIZE_DATATYPE_VALUES` and `BasicParserSettings.VERIFY_DATATYPE_VALUES` instead.

      @Deprecated
      public static enum RDFParser.DatatypeHandling
      extends Enum<RDFParser.DatatypeHandling>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IGNORE` Deprecated. Indicates that datatype semantics should be ignored.
    `NORMALIZE` Deprecated. Indicates that values of datatyped literals should be normalized to their canonical representation.
    `VERIFY` Deprecated. Indicates that values of datatyped literals should be verified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RDFParser.DatatypeHandling` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static RDFParser.DatatypeHandling[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IGNORE

          public static final RDFParser.DatatypeHandling IGNORE

      Deprecated.
      Indicates that datatype semantics should be ignored.

    - #### VERIFY

          public static final RDFParser.DatatypeHandling VERIFY

      Deprecated.
      Indicates that values of datatyped literals should be verified.

    - #### NORMALIZE

          public static final RDFParser.DatatypeHandling NORMALIZE

      Deprecated.
      Indicates that values of datatyped literals should be normalized to their canonical representation.

  - ### Method Detail

    - #### values

          public static RDFParser.DatatypeHandling[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RDFParser.DatatypeHandling c : RDFParser.DatatypeHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RDFParser.DatatypeHandling valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.